package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

@Data
public class PropUserPointsExport {

    /**
     * 用户姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "姓名", index = 0)
    private String ownerName;

    /**
     * 手机号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "手机号", index = 1)
    private String phone;

    /**
     * 身份证
     */
    @ColumnWidth(25)
    @ExcelProperty(value = "身份证", index = 2)
    private String idCard;

    /**
     * 性别 1：男   2：女
     */
    @ColumnWidth(8)
    @ExcelProperty(value = "性别", index = 3)
    @TableField(exist = false)
    private String gender;

    /**
     * 户号
     */
    @ColumnWidth(30)
    @ExcelProperty(value = "户号", index = 4)
    private String roomNoName;

    /**
     * 总积分
     */
    @ColumnWidth(10)
    @ExcelProperty(value = "总积分", index = 5)
    @TableField(exist = false)
    private Integer totalPoints;
}
