package com.huiju.estateagents.redpack.mapper;

import org.apache.ibatis.annotations.Mapper;

import com.huiju.estateagents.redpack.entity.TaMpPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 公众号用户表  Mapper 接口
 * </p>
 *
 * @author fxf
 * @since 2020-06-02
 */
@Mapper
public interface TaMpPersonMapper extends BaseMapper<TaMpPerson> {

    TaMpPerson getByMiniAppPerson(@Param("orgId") Integer orgId, @Param("miniAppPersonId") String miniAppPersonId);

    List<TaMpPerson> getByRoom(Integer orgId, Integer roomNoId);
}
